package org.brynhild.graduation.activity.common.view.factory

import androidx.lifecycle.ViewModel
import androidx.lifecycle.ViewModelProvider
import org.brynhild.graduation.activity.common.view.model.LoginViewModel

class LoginViewModelFactory(private val accountName: String, private val accountPassword: String) :
    ViewModelProvider.Factory {
    override fun <T : ViewModel> create(modelClass: Class<T>): T {
        return LoginViewModel(accountName, accountPassword) as T
    }
}