package org.brynhild.graduation.activity.common.view.model

import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel

class LoginViewModel(accountName: String, accountPassword: String) : ViewModel() {
    //internal data
    private val _accountName = MutableLiveData<String>()
    private val _accountPassword = MutableLiveData<String>()

    //public data
    val accountName: LiveData<String>
        get() = _accountName

    val accountPassword: LiveData<String>
        get() = _accountPassword


    init {
        _accountName.value = accountName
        _accountPassword.value = accountPassword
    }

    fun setAccountName(accountName: String) {
        this._accountName.value = accountName
    }

    fun setAccountPassword(accountPassword: String) {
        this._accountPassword.value = accountPassword
    }


}