package org.brynhild.graduation.network.entiity;

import org.brynhild.graduation.common.entity.BaseEntity;

import java.io.Serializable;

public class Device extends BaseEntity implements Serializable {
    private Long owner;
    private Long area;
    private String mac;
    private String lastActive;
    private String name = "新绑定设备";
    private Boolean active = true;
    private String note;
    private Integer type;

    public Long getOwner() {
        return owner;
    }

    public void setOwner(Long owner) {
        this.owner = owner;
    }

    public Long getArea() {
        return area;
    }

    public void setArea(Long area) {
        this.area = area;
    }

    public String getMac() {
        return mac;
    }

    public void setMac(String mac) {
        this.mac = mac;
    }

    public String getLastActive() {
        return lastActive;
    }

    public void setLastActive(String lastActive) {
        this.lastActive = lastActive;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Boolean getActive() {
        return active;
    }

    public void setActive(Boolean active) {
        this.active = active;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return "Device{" +
                "owner=" + owner +
                ", area=" + area +
                ", mac='" + mac + '\'' +
                ", lastActive='" + lastActive + '\'' +
                ", name='" + name + '\'' +
                ", active=" + active +
                ", note='" + note + '\'' +
                ", type=" + type +
                '}';
    }
}
