package org.brynhild.graduation.activity.common.view.model

import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel

class RegisterViewModel : ViewModel() {
    private val _accountName = MutableLiveData<String>()
    private val _accountPassword = MutableLiveData<String>()
    private val _agree = MutableLiveData<Boolean>()
    private val _email = MutableLiveData<String>()

    private val _name = MutableLiveData<String>()
    private val _tel = MutableLiveData<String>()
    private val _no = MutableLiveData<String>()

    val accountName: LiveData<String>
        get() = _accountName
    val accountPassword: LiveData<String>
        get() = _accountPassword

    val agree: LiveData<Boolean>
        get() = _agree

    val email: LiveData<String>
        get() = _email

    val name: LiveData<String>
        get() = _name
    val tel: LiveData<String>
        get() = _tel
    val no: LiveData<String>
        get() = _no

    fun setAccountName(accountName: String) {
        this._accountName.value = accountName
    }

    fun setAccountPassword(accountPassword: String) {
        this._accountPassword.value = accountPassword
    }

    fun setAgree(agree: Boolean) {
        this._agree.value = agree
    }

    fun setEmail(email: String) {
        this._email.value = email
    }

    fun setName(name: String) {
        this._name.value = name
    }

    fun setTel(tel: String) {
        this._tel.value = tel
    }

    fun setNo(no: String) {
        this._no.value = no
    }
}