package org.brynhild.graduation.common.transfer.bo.timetable

import org.brynhild.graduation.network.entiity.Course

data class StatisticInfo(
    val course: Course,
    val count: Long,
    val actualCount: Long,
    val rate: Double
) : Comparable<StatisticInfo> {
    override fun compareTo(other: StatisticInfo): Int {
        return other.rate.compareTo(rate)
    }
}
