package org.brynhild.graduation.common.transfer.utils

import org.brynhild.graduation.common.constant.FileStorageConstant
import retrofit2.Retrofit
import retrofit2.converter.gson.GsonConverterFactory

object ServiceCreator {
    //TODO HTTP请求需要更改服务器路径


    //    private const val BASE_URL = "http://192.168.8.102:8085/api/android/"
    private val retrofit = Retrofit.Builder()
        .baseUrl(FileStorageConstant.BASE_URL)
        .addConverterFactory(GsonConverterFactory.create())
        .build()

    fun <T> create(serviceClass: Class<T>): T = retrofit.create(serviceClass)

    inline fun <reified T> create(): T = create(T::class.java)
}