package org.brynhild.graduation.common.utils

import android.app.Activity
import androidx.recyclerview.widget.RecyclerView
import com.goyourfly.multiple.adapter.MultipleAdapter
import com.goyourfly.multiple.adapter.MultipleSelect
import com.goyourfly.multiple.adapter.StateChangeListener
import org.brynhild.graduation.common.callback.RecyclerViewCallback

object MultipleSelectHandler {
    fun createHandler(
        activity: Activity,
        adapter: RecyclerView.Adapter<out RecyclerView.ViewHolder>,
        callback: RecyclerViewCallback
    ): MultipleAdapter {
        val selectHandler = object : StateChangeListener {
            override fun onCancel() {

            }

            override fun onDelete(array: ArrayList<Int>) {

            }

            override fun onDone(array: ArrayList<Int>) {
                callback.execute(array)
            }

            override fun onSelect(position: Int, selectNum: Int) {

            }

            override fun onSelectMode() {

            }

            override fun onUnSelect(position: Int, selectNum: Int) {

            }
        }
        return MultipleSelect.with(activity).stateChangeListener(selectHandler).adapter(adapter)
            .build()
    }
}