package org.brynhild.graduation.service.http

import org.brynhild.graduation.common.constant.AccountConstant
import org.brynhild.graduation.common.transfer.Result
import org.brynhild.graduation.common.transfer.vo.timetable.QueryTimeTableRequest
import retrofit2.Call
import retrofit2.http.Body
import retrofit2.http.Header
import retrofit2.http.POST

interface StudentService {

    @POST("timetable/student/timetable")
    fun queryTimeTable(
        @Header(AccountConstant.ACCOUNT_HEADER) token: String,
        @Body info: QueryTimeTableRequest
    ): Call<Result>
}